View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000402Ecere SDKcompilerpublic2010-04-13 02:432014-05-19 01:32
Reportersacrebleu 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000402: I need to know when I forget a COMMA!!!!
Descriptionclass ProfileStorage : WebPage { Profile t; };
class Profile {

 // Authentication information
 char *username;
 char *password;
 bool authenticated;

 Characters characters {};
 Character active;

 void Retreive() {
  char buf[32768];
  char *u,*p,*n;
  ProfileStorage w { t=this;
   bool OnResult() {
    char buf[32768];
    if ( lines ) {
     int i;
     char *p = lines.string;
     p=one_argument(p,buf); if ( str_cmp(buf,"AUTH") ) { return false; }
     p=one_argument(p,buf); // user id
     p=one_argument(p,buf); // number of characters
     downloading_characters=atoi(buf);
     for ( i=0; i<downloading_characters; i++ ) { Character c {}; t.characters.Add(c); c.Retreive(i); }
    }
    return true;
   }
  };
  sprintf( buf, "http://www.gudagi.com/lostastronaut/gamedb/xfer.php?u=%s&p=%s&t=character&c=1&count=yes" [^]
    u=url_encode(username), p=url_encode(password), n=url_encode(name) );
  delete u,p,n;
  w.url=CopyString(buf);
  w.Create();
 }

 Profile() { username=CopyString(""); password=CopyString(""); }
~Profile() { if ( username ) delete username; if ( password ) delete password; delete characters; }
};
Additional InformationThis code has a missing comma but it compiles anyway.. bogus
Tagsv0.44d2
Attached Files

- Relationships
related to 0000772closedjerome code still compiles with flagrant syntax errors 

-  Notes
(0000214)
jerome (administrator)
2010-07-26 01:06

Syntactically incorrect code should produce syntax errors and not compile.
Let's try to link these issues together (related issues?) and quickly do the best we can to improve this for D2. These can indeed be major time wasters.
(0001268)
jerome (administrator)
2014-05-04 02:33

A simpler test case:

void Test(char * bla)
{
   Test("bla" Test());
}
(0001273)
jerome (administrator)
2014-05-04 12:56

Fixed by:
https://github.com/ecere/ecere-sdk/commit/e34ffdb13ccb09e00aa5c85a82d77676b585b1eb [^]

- Issue History
Date Modified Username Field Change
2010-04-13 02:43 sacrebleu New Issue
2010-04-13 02:43 sacrebleu Status new => assigned
2010-04-13 02:43 sacrebleu Assigned To => jerome
2010-07-07 02:37 redj Target Version => 0.44d2
2010-07-07 04:10 redj Tag Attached: v0.44d2
2010-07-25 18:57 redj Relationship added child of 0000429
2010-07-26 01:06 jerome Note Added: 0000214
2010-07-26 19:08 thexa4 Target Version 0.44d2 => 0.44 draft 2
2012-03-08 15:41 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-08 17:15 redj Relationship deleted child of 0000429
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2012-10-30 14:58 redj Relationship added related to 0000772
2013-04-24 20:36 jerome Status assigned => new
2013-04-24 20:37 jerome Assigned To jerome =>
2013-04-26 18:28 jerome Target Version 0.45 Ginkakuji => 0.44.8 Silver
2013-09-10 19:13 jerome Target Version 0.44.80 Silver => 0.46 eC II
2014-02-22 18:19 jerome Category ide => compiler
2014-05-04 02:33 jerome Note Added: 0001268
2014-05-04 04:04 jerome Assigned To => jerome
2014-05-04 04:04 jerome Status new => assigned
2014-05-04 04:04 jerome Target Version 0.46 eC II => 0.44.10 64
2014-05-04 12:56 jerome Status assigned => resolved
2014-05-04 12:56 jerome Fixed in Version => 0.44.10 64
2014-05-04 12:56 jerome Resolution open => fixed
2014-05-04 12:56 jerome Note Added: 0001273
2014-05-19 01:32 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker